Skip to content

Create an agent (token shown once)

POST
/api/v1/admin/agents

Authorizations

session

Browser session cookie.

Type
API Key (cookie: bp_session)
or
apiKey

User API key: Authorization: Bearer bpi_...

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Admin-create-agentRequest.json",
  
"label": "string",
  
"provider": "string",
  
"region": "string"
}

Responses

Created

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Admin-create-agentResponse.json",
  
"agent": {
  
  
"enabled": true,
  
  
"id": 0,
  
  
"label": "string",
  
  
"lastReadingAt": 0,
  
  
"platform": "string",
  
  
"pollMax": "string",
  
  
"pollMin": "string",
  
  
"provider": "string",
  
  
"provisionId": "string",
  
  
"readings": 0,
  
  
"region": "string",
  
  
"source": "string"
  
},
  
"token": "string"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI